<?xml version='1.0' encoding='windows-1252' ?>
<!DOCTYPE Entity SYSTEM "jbo_03_01.dtd">

<Entity
   Name="Product"
   DBObjectType="table"
   DBObjectName="PRODUCTS"
   AliasName="Product"
   BindingStyle="OracleName"
   UseGlueCode="false"
   RowClass="oracle.srdemo.model.entities.ProductImpl"
   DefClass="oracle.srdemo.model.entities.ProductDefImpl"
   MsgBundleClass="oracle.srdemo.model.entities.common.ProductImplMsgBundle" >
   <Data>
      <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
      <Property Name ="ID" Value ="3fd10fbb-010a-1000-8017-8d9088295bcf::::EntityObject" />
      <Property Name ="IS_ABSTRACT" Value ="FALSE" />
      <Property Name ="IS_ACTIVE" Value ="FALSE" />
      <Property Name ="IS_LEAF" Value ="FALSE" />
      <Property Name ="IS_ROOT" Value ="FALSE" />
      <Property Name ="VISIBILITY" Value ="PUBLIC" />
   </Data>
   <DesignTime>
      <Attr Name="_isCodegen" Value="true" />
      <Attr Name="_defSuperClass" Value="oracle.srdemo.model.frameworkExt.SREntityDefImpl" />
      <Attr Name="_version" Value="10.1.3.36.73" />
      <AttrArray Name="_publishEvents">
      </AttrArray>
      <Attr Name="_superClass" Value="oracle.srdemo.model.frameworkExt.SREntityImpl" />
      <Attr Name="_codeGenFlag2" Value="Access|Def|Msg" />
   </DesignTime>
   <Attribute
      Name="ProdId"
      IsNotNull="true"
      Precision="8"
      Scale="0"
      ColumnName="PROD_ID"
      Type="oracle.jbo.domain.Number"
      ColumnType="NUMBER"
      SQLType="NUMERIC"
      TableName="PRODUCTS"
      PrimaryKey="true" >
      <Data>
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd10fbb-010a-1000-8018-8d9088295bcf::::EntityObjectAttribute" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
      <DesignTime>
         <Attr Name="_DisplaySize" Value="22" />
      </DesignTime>
   </Attribute>
   <Attribute
      Name="Name"
      IsNotNull="true"
      Precision="50"
      ColumnName="NAME"
      Type="java.lang.String"
      ColumnType="VARCHAR2"
      SQLType="VARCHAR"
      TableName="PRODUCTS" >
      <Data>
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd10fbb-010a-1000-8019-8d9088295bcf::::EntityObjectAttribute" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
      <DesignTime>
         <Attr Name="_DisplaySize" Value="50" />
      </DesignTime>
   </Attribute>
   <Attribute
      Name="Image"
      Precision="4000"
      ColumnName="IMAGE"
      Type="java.lang.String"
      ColumnType="VARCHAR2"
      SQLType="VARCHAR"
      TableName="PRODUCTS" >
      <Data>
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd10fbb-010a-1000-801a-8d9088295bcf::::EntityObjectAttribute" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
      <DesignTime>
         <Attr Name="_DisplaySize" Value="4000" />
      </DesignTime>
   </Attribute>
   <Attribute
      Name="Description"
      IsNotNull="true"
      Precision="4000"
      ColumnName="DESCRIPTION"
      Type="java.lang.String"
      ColumnType="VARCHAR2"
      SQLType="VARCHAR"
      TableName="PRODUCTS" >
      <Data>
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd10fbb-010a-1000-801b-8d9088295bcf::::EntityObjectAttribute" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
      <DesignTime>
         <Attr Name="_DisplaySize" Value="4000" />
      </DesignTime>
   </Attribute>
   <AccessorAttribute
      Name="ExpertiseAreas"
      Association="oracle.srdemo.model.entities.associations.ExpertiseAreasForProduct"
      AssociationEnd="oracle.srdemo.model.entities.associations.ExpertiseAreasForProduct.ExpertiseAreas"
      AssociationOtherEnd="oracle.srdemo.model.entities.associations.ExpertiseAreasForProduct.Products"
      Type="oracle.jbo.RowIterator"
      IsUpdateable="false" >
   </AccessorAttribute>
   <AccessorAttribute
      Name="ServiceRequests"
      Association="oracle.srdemo.model.entities.associations.ServiceRequestsForProduct"
      AssociationEnd="oracle.srdemo.model.entities.associations.ServiceRequestsForProduct.ServiceRequests"
      AssociationOtherEnd="oracle.srdemo.model.entities.associations.ServiceRequestsForProduct.Products"
      Type="oracle.jbo.RowIterator"
      IsUpdateable="false" >
   </AccessorAttribute>
   <Key
      Name="PrdPk" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.Product.ProdId" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_isPrimary" Value="true" />
         <Attr Name="_DBObjectName" Value="PRD_PK" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004113" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.Product.ProdId" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;PROD_ID&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004113" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004114" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.Product.Name" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;NAME&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004114" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004115" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.Product.Description" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;DESCRIPTION&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004115" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004808" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.Product.ProdId" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;PROD_ID&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004808" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004809" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.Product.Name" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;NAME&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004809" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004810" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.Product.Description" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;DESCRIPTION&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004810" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC005874" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.Product.ProdId" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;PROD_ID&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C005874" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC005875" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.Product.Name" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;NAME&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C005875" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC005876" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.Product.Description" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;DESCRIPTION&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C005876" />
      </DesignTime>
   </Key>
</Entity>
